Skip to main content
PATCH
/
organizations
/
{organization_id}
/
alerts
/
billing
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "active": true,
  "alerts_sent": 123,
  "last_alert_at": "<string>",
  "updated_at": "<string>",
  "config": {
    "threshold": {
      "formatted": "<string>",
      "amount": 123,
      "currency_code": "<string>",
      "currency_symbol": "<string>"
    },
    "mode": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string
required

The ID of the organization.
Prefix with name= to retrieve the organization by name instead.

Body

application/json
active
boolean

Whether the billing alert should be active or not.

config
object

The configuration for billing alerts.

Response

OK

The alert configuration for an organization.

id
string

Type of alert (e.g. "billing")

active
boolean

Whether the billing alert should be active or not.

alerts_sent
number

Number of alerts sent.

last_alert_at
string | null

The datetime the alert was last sent.

updated_at
string | null

The datetime the alert was last updated.

config
object

Configuration for threshold and mode.